<template>
  <v-card-title>Topics</v-card-title>
  <v-card-text>
    <v-list lines="two" v-for="(topic, index) in topics" :key="index">
      <v-list-item @mouseenter="isMouseOver = index" @mouseleave="isMouseOver = -1"
        :class="{ 'font-weight-bold': isMouseOver === index }">
        <span>{{ topic.title }}</span>
        <template v-slot:append v-if="isMouseOver === index">
          <v-btn @click="topicSelected(topic, 'Beginner')" size="small" prepend-icon="mdi-speedometer-slow"
            color="green-accent-1" class="ml-1">Beginner</v-btn>
          <v-btn @click="topicSelected(topic,'Intermidiate')" size="small" prepend-icon="mdi-speedometer-medium"
            color="orange-accent-1" class="ml-1">Intermidiate</v-btn>
          <v-btn @click="topicSelected(topic, 'Advance')" size="small" prepend-icon="mdi-speedometer"
            color="red-accent-1" class="ml-1">Advance</v-btn>
        </template>
      </v-list-item>
      <v-divider></v-divider>
    </v-list>
  </v-card-text>
</template>
<script>
import { defineComponent, ref } from "vue";
import { useTopicStore } from "@/store/topics";
import { useRouter } from "vue-router";

export default defineComponent({
  setup() {
    const topics = ref([]);
    const isMouseOver = ref(-1);
    const topicStore = useTopicStore();
    const router = useRouter()

    topics.value.push(
      { title: 'Information Technology', type: 'Multiple Choice', level: '' },
      { title: 'Mathematics: Algebra', type: 'Text Area', level: '' },
    );

    const topicSelected = (topic, level) => {
      topic.level = level;
      topicStore.setSelectedTopic(topic);
      router.push('/questions')
    };

    return {
      topics,
      isMouseOver,
      topicSelected,
    };
  },
});
</script>
<style>
.v-list-item-title {
  font-weight: unset;
}

.v-list-item:hover {
  background-color: transparent !important;
  /* Set the background color to transparent */
  color: inherit !important;
  /* Inherit the text color */
  /* Add any other styles you want to remove the hover effect */
}
</style>
